# Uses of Class
org.apache.avro.idl.IdlParser.RecordBodyContext

## Uses of IdlParser.RecordBodyContext in org.apache.avro.idl

Fields in org.apache.avro.idl declared as IdlParser.RecordBodyContext
Modifier and Type
Field
Description
`IdlParser.RecordBodyContext`
IdlParser.RecordDeclarationContext.`body`
Methods in org.apache.avro.idl that return IdlParser.RecordBodyContext
Modifier and Type
Method
Description
`final IdlParser.RecordBodyContext`
IdlParser.`recordBody()`
`IdlParser.RecordBodyContext`
IdlParser.RecordDeclarationContext.`recordBody()`
Methods in org.apache.avro.idl with parameters of type IdlParser.RecordBodyContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterRecordBody(IdlParser.RecordBodyContext ctx)`
Enter a parse tree produced by `IdlParser.recordBody()`.
`void`
IdlListener.`enterRecordBody(IdlParser.RecordBodyContext ctx)`
Enter a parse tree produced by `IdlParser.recordBody()`.
`void`
IdlBaseListener.`exitRecordBody(IdlParser.RecordBodyContext ctx)`
Exit a parse tree produced by `IdlParser.recordBody()`.
`void`
IdlListener.`exitRecordBody(IdlParser.RecordBodyContext ctx)`
Exit a parse tree produced by `IdlParser.recordBody()`.